///@file pc_sensors.hh
///
///

#ifdef WIN32
#ifndef PC_SENSORS_HH
#define PC_SENSORS_HH


#include "base/base.hh"


/// Keyboard sensor class
///
class Keyboard : public Port
{
  private:
    char c;		    

	Keyboard();

	NO_COPYING(Keyboard);

  public:
	SINGLETON(Keyboard);
    
	virtual bool Update();
 
	///@name Attribtutes
	///@{
	char C(){return c;}
	void C(char a){c = a;}
	///@}
};


#endif
#endif //WIN32
